StableOps
API 参考

查询 Webhook 端点列表

查询当前组织和环境的 StableOps Webhook 端点列表,核对接收地址与订阅配置,为排查漏投和维护集成提供依据。接收端应使用原始请求体验签,以事件标识去重,并在可靠保存任务后应答成功。投递可能重复、并发或乱序,重放与配置调整均需配合业务状态核对。

GET/v1/webhook-endpoints

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard.

In: header

Query Parameters

offset?unknown
limit?unknown

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/webhook-endpoints"
{
  "items": [
    {
      "id": "string",
      "url": "http://example.com",
      "description": "string",
      "enabled_events": [
        "payment_order.created"
      ],
      "redact_metadata": true,
      "disabled_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z",
      "secret": "string"
    }
  ],
  "has_more": true,
  "total": 0
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}

这篇文档怎么样?

最后更新